<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (c) 2021, 2024 Contributors to the Eclipse Foundation

    This program and the accompanying materials are made
    available under the terms of the Eclipse Public License 2.0
    which is available at https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

-->
<?eclipse version="3.0"?>

<!--
-->

<plugin>

   <extension point="org.eclipse.emf.ecore.generated_package">
      <package
            uri="http://www.eclipse.org/lsat/activity"
            class="activity.ActivityPackage"
            genModel="model/activity.genmodel"/>
   </extension>

    <extension
         point="org.eclipse.core.expressions.definitions">
      <definition
            id="org.eclipse.lsat.activity.oneActivity">
         <with variable="selection">
            <count value="1"/>
            <iterate ifEmpty="false">
                <adapt type="org.eclipse.core.resources.IFile">
                    <test property="org.eclipse.core.resources.extension" value="activity"/>
                </adapt>
            </iterate>
         </with>
      </definition>
   </extension>

</plugin>
